Get all workflow actions

Returns all workflow actions for the platform. Actions define what happens when a workflow trigger executes. Requires the WORKFLOW_ACTION.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
workflow_idstring
Workflow that owns this action.
typeenum
Action type that selects the matching action configuration.
Allowed values:
statusenum
Status of the action.
Allowed values:
object_typestring or nullRead-only
idstring or nullRead-only
descriptionstring or nullformat: "^.*$"0-256 characters
Description of what this action does.
created_atstring or nullRead-only
Date time when the action was created.
updated_atstring or nullRead-only
Date time when the action was last updated.
send_email_to_customerobject
Email action configuration used to send an email to the customer.

Errors

401
Unauthorized Error
403
Forbidden Error